# diffusion of Calcium from diadic space to myoplasm (From Greenstein and Winslow 2002)

# Return kinetic parameters, constraints, and vector of volumes in each
# compartment (pL) (1 if gating variable, or in element corresponding to
# kappa)

# Translated from Pan 2018 cardiac AP

import numpy as np

def kinetic_parameters(M, include_type2_reactions, dims, V):
    # Set the kinetic rate constants

    num_cols = dims['num_cols']
    num_rows = dims['num_rows']
    # constants are stored in V

    # k+ = k- = r_xfer
    r_xfer = 0.2 # [=] 1/s
    kf = r_xfer
    kr = r_xfer

    k_kinetic = [kf,    kr]

    # CONSTRAINTS
    N_cT = []
    K_C = []

    # volume vector
    # W = list(np.append([1] * num_cols, [V['V_myo']] * num_rows))
    W = [1,    V['V_di'],    V['V_myo']]

    return (k_kinetic, N_cT, K_C, W)













